#ifndef FILELOGGER_H
#define FILELOGGER_H

#include <string>
#include "Logger.h"
#include "FileWriter.h"

// Fájlba naplózó osztály.
class FileLogger : public Logger, public FileWriter
{
public:
    // Konstruktor.
    FileLogger(const std::string& path, Level minLevel)
        : Logger(minLevel), FileWriter(path) {}

    // Napló fájl útvonalának lekérdezése a FileWriter szülőn keresztül.
    const std::string& getPath()
    {
        return path;
    }

protected:
    // Tényleges naplózás a FileWriter-en keresztül.
    void doLog(const std::string& message, Level level)
    {
        writeLine(message);
    }
};

#endif // FILELOGGER_H
