#ifndef FILEWRITER_H
#define FILEWRITER_H

#include <fstream>
#include <string>

// Fájl író osztály.
class FileWriter
{
public:
    // Konstruktor, erőforrás megnyitása.
    FileWriter(const std::string& path)
    {
        this->path = path;
        handler.open(path.c_str());
    }

    // Destruktor (virtuális!), erőforrás bezárása (RAII paradigma).
    virtual ~FileWriter()
    {
        handler.close();
    }

    // Üzenet írása.
    void write(const std::string& content)
    {
        handler << content;
    }

    // Sorvége írása.
    void newline()
    {
        handler << std::endl;
    }

    // Üzenet írása sorvégével.
    void writeLine(const std::string& content)
    {
        write(content);
        newline();
    }

protected:
    // Fájl útvonala.
    std::string path;

private:
    // Adatfolyam (erőforrás).
    std::ofstream handler;
};

#endif // FILEWRITER_H
