#include <ctime>
#include <sstream>
#include "Logger.h"

using namespace std;

Logger::Logger(Level minLevel)
{
    this->minLevel = minLevel;
}

void Logger::log(const std::string& message, Level level)
{
    // Csak a minimum szint felett naplózunk.
    if(level >= minLevel)
    {
        // Meta adatokkal ellátott üzenet előállítása.
        time_t t = time(0);
        struct tm* now = localtime(&t);

        stringstream logMessage;
        logMessage << "[" << now->tm_hour << ":" << now->tm_min << ":" << now->tm_sec << "] "
            << "[" << levelToStr(level) << "] "
            << message;

        // Tényleges naplózás.
        doLog(logMessage.str(), level);
    }
}

std::string Logger::levelToStr(Level level)
{
    switch(level)
    {
        case DEBUG:
            return "DEBUG";
        case INFO:
            return "INFO";
        case WARNING:
            return "WARNING";
        case ERROR:
            return "ERROR";
        case CRITICAL:
            return "CRITICAL";
        default:
            return "UNKNOWN";
    }
}
